python-hypothesis (6.151.5-1) unstable; urgency=medium

  * New upstream version 6.151.5

 -- Timo Röhling <roehling@debian.org>  Sun, 08 Feb 2026 22:35:51 +0100

python-hypothesis (6.151.4-1) unstable; urgency=medium

  * New upstream version 6.151.4
  * Refresh patch (no functional changes)
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Sat, 31 Jan 2026 14:39:42 +0100

python-hypothesis (6.150.0-1) unstable; urgency=medium

  * New upstream version 6.150.0
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Jan 2026 20:07:51 +0100

python-hypothesis (6.148.7-1) unstable; urgency=medium

  * New upstream version 6.148.7
  * Skip test_gc_hooks_do_not_cause_unraisable_recursionerror (Closes: #1123526)

 -- Timo Röhling <roehling@debian.org>  Tue, 23 Dec 2025 01:04:06 +0100

python-hypothesis (6.148.2-1) unstable; urgency=medium

  * New upstream version 6.148.2
  * Refresh patches (no functional changes)
  * Skip failing autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 20 Nov 2025 16:48:50 +0100

python-hypothesis (6.147.0-1) unstable; urgency=medium

  * New upstream version 6.147.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Tue, 11 Nov 2025 16:50:15 +0100

python-hypothesis (6.142.2-1) unstable; urgency=medium

  * New upstream version 6.142.2
  * Depend on python3-pytz instead of python3-tz

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Oct 2025 15:59:48 +0200

python-hypothesis (6.140.2-1) unstable; urgency=medium

  * New upstream version 6.140.2

 -- Timo Röhling <roehling@debian.org>  Sat, 27 Sep 2025 20:34:34 +0200

python-hypothesis (6.139.2-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 6.139.2

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Sep 2025 22:36:03 +0200

python-hypothesis (6.138.14-1) unstable; urgency=medium

  * New upstream version 6.138.14

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 18:05:03 +0200

python-hypothesis (6.138.0-1) unstable; urgency=medium

  * New upstream version 6.138.0
  * Update patches
  * Migrate to PEP 517 build
  * Do not fail on Redis deprecation warning

 -- Timo Röhling <roehling@debian.org>  Wed, 13 Aug 2025 15:17:10 +0200

python-hypothesis (6.130.5-2) unstable; urgency=medium

  * Team upload.
  * Add ignore-warnings-in-the-testsuite-alone.patch (Closes: #1106438).

 -- Thomas Goirand <zigo@debian.org>  Fri, 30 May 2025 10:06:04 +0200

python-hypothesis (6.130.5-1) unstable; urgency=medium

  * New upstream version 6.130.5
  * Refresh patches (no functional changes)
  * Use furo theme for documentation
  * Skip crosshair tests

 -- Timo Röhling <roehling@debian.org>  Sat, 05 Apr 2025 00:52:20 +0200

python-hypothesis (6.127.4-1) unstable; urgency=medium

  * New upstream version 6.127.4
  * Bump Standards-Version to 4.7.2
  * New test dependency python3-watchdog
  * README.rst is README.md now

 -- Timo Röhling <roehling@debian.org>  Sun, 02 Mar 2025 21:33:08 +0100

python-hypothesis (6.125.2-1) unstable; urgency=medium

  * New upstream version 6.125.2

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Feb 2025 00:06:40 +0100

python-hypothesis (6.124.0-1) unstable; urgency=medium

  * New upstream version 6.124.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Thu, 16 Jan 2025 13:31:20 +0100

python-hypothesis (6.122.1-1) unstable; urgency=medium

  * New upstream version 6.122.1

 -- Timo Röhling <roehling@debian.org>  Mon, 02 Dec 2024 07:57:45 +0100

python-hypothesis (6.121.0-1) unstable; urgency=medium

  * New upstream version 6.121.0

 -- Timo Röhling <roehling@debian.org>  Thu, 28 Nov 2024 10:18:21 +0100

python-hypothesis (6.119.3-1) unstable; urgency=medium

  * New upstream version 6.119.3

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Nov 2024 10:29:05 +0100

python-hypothesis (6.116.0-1) unstable; urgency=medium

  * New upstream version 6.116.0
  * Refresh patches (no functional changes)

 -- Timo Röhling <roehling@debian.org>  Mon, 04 Nov 2024 09:23:37 +0100

python-hypothesis (6.115.3-1) unstable; urgency=medium

  * New upstream version 6.115.3

 -- Timo Röhling <roehling@debian.org>  Fri, 18 Oct 2024 16:58:02 +0200

python-hypothesis (6.115.0-1) unstable; urgency=medium

  * New upstream version 6.115.0

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Oct 2024 20:18:13 +0200

python-hypothesis (6.112.1-1) unstable; urgency=medium

  * New upstream version 6.112.1

 -- Timo Röhling <roehling@debian.org>  Sat, 28 Sep 2024 15:18:43 +0200

python-hypothesis (6.112.0-1) unstable; urgency=medium

  * New upstream version 6.112.0

 -- Timo Röhling <roehling@debian.org>  Tue, 10 Sep 2024 11:33:21 +0200

python-hypothesis (6.111.2-1) unstable; urgency=medium

  * New upstream version 6.111.2
  * Skip test which expects installed /usr/bin/hypothesis

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Aug 2024 22:27:30 +0200

python-hypothesis (6.105.1-1) unstable; urgency=medium

  * New upstream version 6.105.1

 -- Timo Röhling <roehling@debian.org>  Tue, 09 Jul 2024 15:08:30 +0200

python-hypothesis (6.104.2-1) unstable; urgency=medium

  * New upstream version 6.104.2

 -- Timo Röhling <roehling@debian.org>  Mon, 01 Jul 2024 15:57:40 +0200

python-hypothesis (6.103.2-1) unstable; urgency=medium

  * New upstream version 6.103.2

 -- Timo Röhling <roehling@debian.org>  Mon, 17 Jun 2024 16:28:10 +0200

python-hypothesis (6.103.1-1) unstable; urgency=medium

  * New upstream version 6.103.1

 -- Timo Röhling <roehling@debian.org>  Sat, 08 Jun 2024 23:42:47 +0200

python-hypothesis (6.103.0-1) unstable; urgency=medium

  * New upstream version 6.103.0
  * Reenable ghostwriter tests (fixed by upstream)

 -- Timo Röhling <roehling@debian.org>  Mon, 03 Jun 2024 16:59:49 +0200

python-hypothesis (6.102.6-1) unstable; urgency=medium

  * New upstream version 6.102.6

 -- Timo Röhling <roehling@debian.org>  Mon, 27 May 2024 11:55:38 +0200

python-hypothesis (6.102.4-1) unstable; urgency=medium

  * New upstream version 6.102.4

 -- Timo Röhling <roehling@debian.org>  Mon, 20 May 2024 10:21:50 +0200

python-hypothesis (6.102.1-1) unstable; urgency=medium

  * New upstream version 6.102.1

 -- Timo Röhling <roehling@debian.org>  Tue, 14 May 2024 19:04:30 +0200

python-hypothesis (6.100.7-1) unstable; urgency=medium

  * New upstream version 6.100.7

 -- Timo Röhling <roehling@debian.org>  Sun, 12 May 2024 22:56:54 +0200

python-hypothesis (6.100.4-1) unstable; urgency=medium

  * New upstream version 6.100.4

 -- Timo Röhling <roehling@debian.org>  Mon, 06 May 2024 17:32:40 +0200

python-hypothesis (6.100.2-1) unstable; urgency=medium

  * New upstream version 6.100.2
  * Stop enforcing minimum Sphinx version for now

 -- Timo Röhling <roehling@debian.org>  Thu, 02 May 2024 11:11:26 +0200

python-hypothesis (6.100.1-3) unstable; urgency=medium

  * Drop obsolete Build-Depend on python3-exceptiongroup

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 11:12:56 +0200

python-hypothesis (6.100.1-2) unstable; urgency=medium

  * Skip test_adds_note_showing_which_strategy.
    This test fails with pytest 7 because the note is not matched
    by pytest.raises(match=...)

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Apr 2024 00:26:23 +0200

python-hypothesis (6.100.1-1) unstable; urgency=medium

  * New upstream version 6.100.1
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Thu, 11 Apr 2024 15:25:55 +0200

python-hypothesis (6.100.0-1) unstable; urgency=medium

  * New upstream version 6.100.0
  * Temporarily disable ghostwriter tests due to Python 3.12 regression

 -- Timo Röhling <roehling@debian.org>  Wed, 03 Apr 2024 17:48:18 +0200

python-hypothesis (6.99.9-1) unstable; urgency=medium

  * New upstream version 6.99.9
  * Update patches
    - Drop 0004-Fix-32-bit-architecture-detection-in-pandas-index-te.patch
      (merged by upstream)

 -- Timo Röhling <roehling@debian.org>  Tue, 19 Mar 2024 12:23:45 +0100

python-hypothesis (6.98.15-1) unstable; urgency=medium

  * New upstream version 6.98.15
  * Fix test failure on 32 bit architectures

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Feb 2024 23:13:22 +0100

python-hypothesis (6.98.12-2) unstable; urgency=medium

  * Require pytest 8 as one test fails with pytest 7

 -- Timo Röhling <roehling@debian.org>  Tue, 27 Feb 2024 13:08:25 +0100

python-hypothesis (6.98.12-1) unstable; urgency=medium

  * New upstream version 6.98.12

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Feb 2024 16:49:57 +0100

python-hypothesis (6.98.9-1) unstable; urgency=medium

  * New upstream version 6.98.9
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Tue, 20 Feb 2024 21:02:12 +0100

python-hypothesis (6.98.4-1) unstable; urgency=medium

  * New upstream version 6.98.4

 -- Timo Röhling <roehling@debian.org>  Tue, 13 Feb 2024 16:43:41 +0100

python-hypothesis (6.98.2-2) unstable; urgency=medium

  * Do not create egg-info in autopkgtest
  * Skip some tests which still fail in autopkgtest

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Feb 2024 00:13:45 +0100

python-hypothesis (6.98.2-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove extraneous dep. on python3-mock

  [ Timo Röhling ]
  * New upstream version 6.98.2
  * Refresh patches (no functional changes)
  * Make sure that Hypothesis plugin is autoloaded for tests

 -- Timo Röhling <roehling@debian.org>  Wed, 07 Feb 2024 10:23:25 +0100

python-hypothesis (6.93.2-1) unstable; urgency=medium

  * New upstream version 6.93.2
    - Fix flaky test_can_produce_multi_line_strings (Closes: #1059897)

 -- Timo Röhling <roehling@debian.org>  Tue, 16 Jan 2024 14:01:43 +0100

python-hypothesis (6.92.2-1) unstable; urgency=medium

  * Use pybuild {build_dir} for sphinx-build
  * New upstream version 6.92.2

 -- Timo Röhling <roehling@debian.org>  Sat, 30 Dec 2023 23:33:26 +0100

python-hypothesis (6.92.1-1) unstable; urgency=medium

  * New upstream version 6.92.1

 -- Timo Röhling <roehling@debian.org>  Mon, 18 Dec 2023 22:42:39 +0100

python-hypothesis (6.92.0-1) unstable; urgency=medium

  * New upstream version 6.92.0
  * Refresh patches

 -- Timo Röhling <roehling@debian.org>  Mon, 11 Dec 2023 16:16:13 +0100

python-hypothesis (6.91.0-1) unstable; urgency=medium

  * New upstream version 6.91.0

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Nov 2023 08:46:18 +0100

python-hypothesis (6.90.0-1) unstable; urgency=medium

  * New upstream version 6.90.0

 -- Timo Röhling <roehling@debian.org>  Mon, 20 Nov 2023 12:56:43 +0100

python-hypothesis (6.88.4-1) unstable; urgency=medium

  * New upstream version 6.88.4

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Nov 2023 19:33:31 +0100

python-hypothesis (6.88.3-1) unstable; urgency=medium

  * New upstream version 6.88.3

 -- Timo Röhling <roehling@debian.org>  Fri, 10 Nov 2023 22:12:07 +0100

python-hypothesis (6.88.1-1) unstable; urgency=medium

  * New upstream version 6.88.1

 -- Timo Röhling <roehling@debian.org>  Wed, 18 Oct 2023 16:51:41 +0200

python-hypothesis (6.87.4-1) unstable; urgency=medium

  * New upstream version 6.87.4

 -- Timo Röhling <roehling@debian.org>  Sun, 15 Oct 2023 15:50:30 +0200

python-hypothesis (6.87.3-1) unstable; urgency=medium

  * New upstream version 6.87.3

 -- Timo Röhling <roehling@debian.org>  Wed, 11 Oct 2023 12:14:20 +0200

python-hypothesis (6.87.1-1) unstable; urgency=medium

  * New upstream version 6.87.1

 -- Timo Röhling <roehling@debian.org>  Wed, 04 Oct 2023 22:37:32 +0200

python-hypothesis (6.87.0-1) unstable; urgency=medium

  * New upstream version 6.87.0

 -- Timo Röhling <roehling@debian.org>  Mon, 25 Sep 2023 13:32:16 +0200

python-hypothesis (6.86.2-1) unstable; urgency=medium

  * New upstream version 6.86.2

 -- Timo Röhling <roehling@debian.org>  Thu, 21 Sep 2023 09:48:19 +0200

python-hypothesis (6.84.3-1) unstable; urgency=medium

  * New upstream version 6.84.3
    - Disable differing_executor health check for pytest parametrized
      tests, because those were mostly false alarms
      (Closes: #1051434, #1051435)

 -- Timo Röhling <roehling@debian.org>  Tue, 12 Sep 2023 18:26:02 +0200

python-hypothesis (6.84.2-1) unstable; urgency=medium

  * New upstream version 6.84.2

 -- Timo Röhling <roehling@debian.org>  Fri, 08 Sep 2023 01:27:17 +0200

python-hypothesis (6.84.0-1) unstable; urgency=medium

  * New upstream version 6.84.0

 -- Timo Röhling <roehling@debian.org>  Tue, 05 Sep 2023 10:30:11 +0200

python-hypothesis (6.82.7-1) unstable; urgency=medium

  * New upstream version 6.82.7
  * Update patches
    - New patch 0003-Avoid-hard-dependency-on-libcst.patch

 -- Timo Röhling <roehling@debian.org>  Tue, 29 Aug 2023 10:59:15 +0200

python-hypothesis (6.82.6-1) unstable; urgency=medium

  * New upstream version 6.82.6

 -- Timo Röhling <roehling@debian.org>  Mon, 21 Aug 2023 11:12:52 +0200

python-hypothesis (6.82.4-1) unstable; urgency=medium

  * Clean build detritus (Closes: #1047388)
  * New upstream version 6.82.4

 -- Timo Röhling <roehling@debian.org>  Mon, 14 Aug 2023 15:16:54 +0200

python-hypothesis (6.82.3-1) unstable; urgency=medium

  * New upstream version 6.82.3

 -- Timo Röhling <roehling@debian.org>  Tue, 08 Aug 2023 21:09:07 +0200

python-hypothesis (6.82.0-1) unstable; urgency=medium

  * Add myself to uploaders
  * Remove Vincent Bernat from uploaders at his request
    Thank you for your contribution!
  * New upstream version 6.82.0

 -- Timo Röhling <roehling@debian.org>  Sun, 23 Jul 2023 19:53:49 +0200

python-hypothesis (6.81.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.81.1
    - Fixes some lingering issues with inference of recursive types.
      This will hopefully improve the recent unit test flakiness.

 -- Timo Röhling <roehling@debian.org>  Thu, 13 Jul 2023 23:45:21 +0200

python-hypothesis (6.81.0-2) unstable; urgency=medium

  * Team upload.
  * Remove retired uploader.

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 15:48:15 +0200

python-hypothesis (6.81.0-1) unstable; urgency=medium

  * Team upload.
  * Skip two NumPy tests again; still broken
  * New upstream version 6.81.0

 -- Timo Röhling <roehling@debian.org>  Mon, 10 Jul 2023 23:50:10 +0200

python-hypothesis (6.80.1-3) unstable; urgency=medium

  * Team upload.
  * Skip tests which want to update package files

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 21:50:11 +0200

python-hypothesis (6.80.1-2) unstable; urgency=medium

  * Team upload.
  * Refactor test skipping; skip failing recursion test

 -- Timo Röhling <roehling@debian.org>  Sun, 09 Jul 2023 09:41:50 +0200

python-hypothesis (6.80.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.80.1
  * Refresh patches
    - Drop 0004-Fix-failing-numpy-test.patch (no longer needed)
  * Add more test dependencies
  * Skip fewer tests in upstream test suite
  * Add lintian override for false positive
  * Add manual page for CLI tool

 -- Timo Röhling <roehling@debian.org>  Fri, 07 Jul 2023 11:46:49 +0200

python-hypothesis (6.80.0-1) unstable; urgency=medium

  * Team upload.
  * Use tags in debian/watch again
  * New upstream version 6.80.0

 -- Timo Röhling <roehling@debian.org>  Thu, 29 Jun 2023 00:21:03 +0200

python-hypothesis (6.74.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.74.0
  * Skip broken timezone_keys() test

 -- Timo Röhling <roehling@debian.org>  Fri, 16 Jun 2023 20:48:34 +0200

python-hypothesis (6.67.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.67.1
    - Fix a rare RecursionError introduced by the changes in 6.65.0

 -- Timo Röhling <roehling@debian.org>  Mon, 06 Feb 2023 13:09:15 +0100

python-hypothesis (6.65.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.65.2
  * Fix failing numpy test (Closes: #1030233)

 -- Timo Röhling <roehling@debian.org>  Wed, 01 Feb 2023 21:17:16 +0100

python-hypothesis (6.64.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.64.0
    - Fix compatibility with numpy 1.24 (Closes: #1028830)

 -- Timo Röhling <roehling@debian.org>  Mon, 23 Jan 2023 23:55:53 +0100

python-hypothesis (6.61.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 6.61.0
  * Bump Standards-Version to 4.6.2
  * Drop Built-Using for Sphinx documentation

 -- Timo Röhling <roehling@debian.org>  Mon, 26 Dec 2022 13:29:50 +0100

python-hypothesis (6.60.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Consolidate skipping all broken tests in one patch
  * Apply M-A hint

 -- Timo Röhling <roehling@debian.org>  Sat, 10 Dec 2022 17:36:35 +0100

python-hypothesis (6.60.0-2) experimental; urgency=medium

  * Team upload.
  * Remove obsolete d/tests and fix autopkgtest invocation
  * Update Build-Depends
  * Avoid circular dependency on self
  * Set PYTEST_DISABLE_PLUGIN_AUTOLOAD=1

 -- Timo Röhling <roehling@debian.org>  Fri, 09 Dec 2022 23:34:25 +0100

python-hypothesis (6.60.0-1) experimental; urgency=medium

  * Team upload.
  * Fix d/watch
  * New upstream version 6.60.0
    - Fix Python 3.11 compatibility (Closes: #1025105)
  * New Build-Depend on python3-exceptiongroup
  * Remove unneeded dh_auto_test override
  * Use autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Thu, 08 Dec 2022 15:00:20 +0100

python-hypothesis (6.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add a Breaks against python3-h2, to easy their testing migraiton

 -- Sandro Tosi <morph@debian.org>  Mon, 31 Jan 2022 00:56:15 -0500

python-hypothesis (6.35.1-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 17 Jan 2022 22:29:55 -0500

python-hypothesis (6.35.0-1) unstable; urgency=medium

  * New upstream release; Closes: #1001538, #1002392, #1000639
  * debian/watch
    - properly detect new upstream releases
  * debian/copyright
    - update upstream copyright information
  * debian/tests/control
    - skip test_basic_indices_default_max_dims_does_not_warn in autopkgtest
  * debian/rules
    - set the proper PYTHONPATH when building doc
  * refresh/update patches

 -- Sandro Tosi <morph@debian.org>  Sun, 16 Jan 2022 23:31:30 -0500

python-hypothesis (5.43.3-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 15 Dec 2020 10:41:13 +0200

python-hypothesis (5.41.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Tristan Seligmann ]
  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 10 Nov 2020 09:11:01 +0200

python-hypothesis (5.32.1-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 06 Sep 2020 12:08:05 +0200

python-hypothesis (5.29.0-1) unstable; urgency=medium

  * New upstream release.
    - Add Recommends: python3-click for the new CLI tool.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 25 Aug 2020 17:29:44 +0200

python-hypothesis (5.27.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 20 Aug 2020 19:16:14 +0200

python-hypothesis (5.24.4-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 15 Aug 2020 22:44:19 +0200

python-hypothesis (5.24.0-1) unstable; urgency=medium

  * New upstream release.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 10 Aug 2020 20:59:29 +0200

python-hypothesis (5.23.9-2) unstable; urgency=medium

  * Reenable build-time tests.
  * Disable test requiring pytest 5+.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 03 Aug 2020 18:18:56 +0200

python-hypothesis (5.23.9-1) unstable; urgency=medium

  * New upstream release.
  * Disable hoverxref; not in Debian.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 03 Aug 2020 15:22:21 +0200

python-hypothesis (5.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Declare rootless build.
  * Bump debhelper-compat to 13.
  * Switch to dh-sequence-*.
  * Fix copyright paths.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 19 Jul 2020 22:31:48 +0200

python-hypothesis (5.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Tue, 02 Jun 2020 21:26:34 -0400

python-hypothesis (5.10.4-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * Team upload.
  * Drop pypy support.
  * New upstream version 5.10.4 (Closes: #949762).
  * d/gbp.conf: create configuration file and add debian/master branch.
    - Create debian/master branch according to DEP-14.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/control: Bump Standards-Version to 4.5.0 (from 4.1.3).
  * d/tests/control: Drop tests on tests/py3 folder.
    - Does not exist on upstream.
  * Fix link on docs base.
  * d/tests/control: Add pexpect dependecy on tests.
  * Add patch to skip lazy test, that fails on Autopkgtest.

  [ Sandro Tosi ]
  * debian/control
    - add dateutil, django, lark, numpy, sortedcontainers to b-d, used by
      sphinx autodoc

 -- Sandro Tosi <morph@debian.org>  Mon, 01 Jun 2020 15:40:22 -0400

python-hypothesis (4.36.2-3) unstable; urgency=medium

  * Drop python2 support; Closes: #937823

 -- Sandro Tosi <morph@debian.org>  Thu, 23 Apr 2020 01:10:54 -0400

python-hypothesis (4.36.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Sandro Tosi ]
  * Dont run unittests for python2 binary, to reduce pytest rdeps

 -- Sandro Tosi <morph@debian.org>  Mon, 13 Apr 2020 20:37:39 -0400

python-hypothesis (4.36.2-1) unstable; urgency=medium

  * Team upload.

  [ Nicolas Dandrimont ]
  * New upstream release (Closes: #942693)
  * Drop remote reference to image in documentation

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 19 Nov 2019 11:54:08 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python-hypothesis-doc`.
